
// LINUX FILE
/*****************************************************************************
 Copyright (c) 1999-2004, Intel Corporation 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of Intel Corporation nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

****************************************************************************/
#ifndef AFEDEBUG_H
#define AFEDEBUG_H

#include <linux/pci.h>
#include "afedsp_int.h"
#include "ioctlcmds.h"
#include "afeioctls.h"


#define PCI_CFG_ADDRESS_PORT 0x80000CF8
#define PCI_CFG_DATA_PORT    0x80000CFC

typedef struct {
    unsigned int length;
    unsigned short *buffer;
} dmabuffer_t;

typedef struct {
    unsigned int address;
    unsigned int value;
} AFEregister_t;

typedef struct {
    unsigned int address;
    unsigned int value;
    unsigned int datatype;
} PCICfgData_t;

dmabuffer_t dmabuf; 
dmachnl_t mi_chnld;
dmachnl_t mo_chnld;
dmachnl_t *michnld;
dmachnl_t *mochnld;

#endif
